#include "MenuTextPageNext_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextPageNext_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextPageNext_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_pageNext;
}

std::shared_ptr<Entity> CreateMenuTextPageNext_Player1Keyboard()
{
	return std::make_shared<MenuTextPageNext_Player1Keyboard>();
}


